<?php
require_once '../../../datab.php'; // Adjust the path to your database connection file as needed

// Initialize an empty response array
$response = [];

// Check if all required POST parameters are present
if (
    isset($_POST['patient_id']) &&
    isset($_POST['patient_name']) &&
    isset($_POST['mrd_no']) &&
    isset($_POST['drip_id']) &&
    isset($_POST['start_time']) &&
    isset($_POST['end_time'])
) {
    // Escape all POST data to prevent SQL injection
    $patient_id = mysqli_real_escape_string($conn, $_POST['patient_id']);
    $patient_name = mysqli_real_escape_string($conn, $_POST['patient_name']);
    $mrd_no = mysqli_real_escape_string($conn, $_POST['mrd_no']);
    $drip_id = mysqli_real_escape_string($conn, $_POST['drip_id']);
    $start_time = mysqli_real_escape_string($conn, $_POST['start_time']);
    $end_time = mysqli_real_escape_string($conn, $_POST['end_time']);

    // Get current date and time
    $created_at = date('Y-m-d H:i:s');
    $status = 'active'; // Set status to active

    // Perform the insertion query
    $query = "INSERT INTO patient_drip (`patient_id`, `patient_name`, `mrd_no`, `drip_id`, `start_time`, `end_time`, `created_at`, `status`)
              VALUES ('$patient_id', '$patient_name', '$mrd_no', '$drip_id', '$start_time', '$end_time', '$created_at', '$status')";

    if (mysqli_query($conn, $query)) {
        // If insertion is successful, set success message in response
        $response['status'] = 'Success';
        $response['message'] = 'Drip created successfully';
        $response['data'] = [
            'patient_id' => $patient_id,
            'patient_name' => $patient_name,
            'mrd_no' => $mrd_no,
            'drip_id' => $drip_id,
            'start_time' => $start_time,
            'end_time' => $end_time,
            'created_at' => $created_at,
            'status' => $status
        ];
    } else {
        // If insertion fails, set error message in response
        $response['status'] = 'Error';
        $response['message'] = 'Failed to create drip: ' . mysqli_error($conn);
    }
} else {
    // If any POST parameter is missing, set error message in response
    $response['status'] = 'Error';
    $response['message'] = 'Missing required parameters';
}

// Return JSON response to the frontend
header('Content-Type: application/json');
echo json_encode($response);
?>
